Mailinglist Archive: opensuse-security-announce (12 mails)

< Previous Next >
[security-announce] SUSE-SU-2012:0603-1: important: Security update for IBM Java 1.6.0
SUSE Security Update: Security update for IBM Java 1.6.0
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:0603-1
Rating: important
References: #752306 #758470
Cross-References: CVE-2011-3563 CVE-2011-5035 CVE-2012-0497
CVE-2012-0498 CVE-2012-0499 CVE-2012-0500
CVE-2012-0501 CVE-2012-0502 CVE-2012-0503
CVE-2012-0505 CVE-2012-0506 CVE-2012-0507

Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP2
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 10 SP4
SUSE Linux Enterprise Java 11 SP1
SUSE Linux Enterprise Java 10 SP4
______________________________________________________________________________

An update that fixes 12 vulnerabilities is now available.

Description:


IBM Java 1.6.0 has been updated to SR10-FP1, fixing various
security issues.

More information can be found on:

http://www.ibm.com/developerworks/java/jdk/alerts/
<http://www.ibm.com/developerworks/java/jdk/alerts/>

Security Issue references:

* CVE-2012-0502
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0502
>
* CVE-2012-0503
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0503
>
* CVE-2012-0506
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0506
>
* CVE-2012-0507
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0507
>
* CVE-2011-3563
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3563
>
* CVE-2012-0500
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0500
>
* CVE-2012-0497
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0497
>
* CVE-2012-0498
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0498
>
* CVE-2012-0499
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0499
>
* CVE-2012-0500
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0500
>
* CVE-2012-0501
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0501
>
* CVE-2012-0505
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0505
>
* CVE-2011-5035
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-5035
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP2:

zypper in -t patch sdksp1-java-1_6_0-ibm-6225

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-java-1_6_0-ibm-6225

- SUSE Linux Enterprise Server 11 SP2:

zypper in -t patch slessp1-java-1_6_0-ibm-6225

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-java-1_6_0-ibm-6225

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-java-1_6_0-ibm-6225

- SUSE Linux Enterprise Java 11 SP1:

zypper in -t patch slejsp1-java-1_6_0-ibm-6225

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 ppc64 s390x
x86_64):

java-1_6_0-ibm-devel-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 x86_64):

java-1_6_0-ibm-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-fonts-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ppc64 s390x
x86_64):

java-1_6_0-ibm-devel-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 x86_64):

java-1_6_0-ibm-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-fonts-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Server 11 SP2 (i586 ppc64 s390x x86_64):

java-1_6_0-ibm-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-fonts-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-jdbc-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Server 11 SP2 (i586 x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Server 11 SP2 (i586):

java-1_6_0-ibm-alsa-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):

java-1_6_0-ibm-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-fonts-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-jdbc-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-plugin-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586):

java-1_6_0-ibm-alsa-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ppc64 s390x x86_64):

java-1_6_0-ibm-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-fonts-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-jdbc-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Server 11 SP1 (i586 x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Server 11 SP1 (i586):

java-1_6_0-ibm-alsa-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Server 10 SP4 (i586 ppc s390x x86_64):

java-1_6_0-ibm-1.6.0_sr10.1-0.11.1
java-1_6_0-ibm-devel-1.6.0_sr10.1-0.11.1
java-1_6_0-ibm-fonts-1.6.0_sr10.1-0.11.1
java-1_6_0-ibm-jdbc-1.6.0_sr10.1-0.11.1

- SUSE Linux Enterprise Server 10 SP4 (i586 ppc x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr10.1-0.11.1

- SUSE Linux Enterprise Server 10 SP4 (s390x x86_64):

java-1_6_0-ibm-32bit-1.6.0_sr10.1-0.11.1
java-1_6_0-ibm-devel-32bit-1.6.0_sr10.1-0.11.1

- SUSE Linux Enterprise Server 10 SP4 (x86_64):

java-1_6_0-ibm-alsa-32bit-1.6.0_sr10.1-0.11.1
java-1_6_0-ibm-plugin-32bit-1.6.0_sr10.1-0.11.1

- SUSE Linux Enterprise Server 10 SP4 (i586):

java-1_6_0-ibm-alsa-1.6.0_sr10.1-0.11.1

- SUSE Linux Enterprise Server 10 SP4 (ppc):

java-1_6_0-ibm-64bit-1.6.0_sr10.1-0.11.1

- SUSE Linux Enterprise Java 11 SP1 (i586 ppc64 s390x x86_64):

java-1_6_0-ibm-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-devel-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-fonts-1.6.0_sr10.1-0.3.1
java-1_6_0-ibm-jdbc-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Java 11 SP1 (i586 x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Java 11 SP1 (i586):

java-1_6_0-ibm-alsa-1.6.0_sr10.1-0.3.1

- SUSE Linux Enterprise Java 10 SP4 (x86_64):

java-1_6_0-ibm-1.6.0_sr10.1-0.11.1
java-1_6_0-ibm-devel-1.6.0_sr10.1-0.11.1
java-1_6_0-ibm-fonts-1.6.0_sr10.1-0.11.1
java-1_6_0-ibm-jdbc-1.6.0_sr10.1-0.11.1
java-1_6_0-ibm-plugin-1.6.0_sr10.1-0.11.1


References:

http://support.novell.com/security/cve/CVE-2011-3563.html
http://support.novell.com/security/cve/CVE-2011-5035.html
http://support.novell.com/security/cve/CVE-2012-0497.html
http://support.novell.com/security/cve/CVE-2012-0498.html
http://support.novell.com/security/cve/CVE-2012-0499.html
http://support.novell.com/security/cve/CVE-2012-0500.html
http://support.novell.com/security/cve/CVE-2012-0501.html
http://support.novell.com/security/cve/CVE-2012-0502.html
http://support.novell.com/security/cve/CVE-2012-0503.html
http://support.novell.com/security/cve/CVE-2012-0505.html
http://support.novell.com/security/cve/CVE-2012-0506.html
http://support.novell.com/security/cve/CVE-2012-0507.html
https://bugzilla.novell.com/752306
https://bugzilla.novell.com/758470

http://download.novell.com/patch/finder/?keywords=3e69c82d3033515d0a8d556f0d82fee8

http://download.novell.com/patch/finder/?keywords=4a2ddc2bdb6d3293049475e3953c66b1

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages